Gestiono
Referencia de APIAccounting / Pending Record

Update Pending Record pay bulk

← Back to full API reference
PATCH/v1/record/pending/pay/bulkAuth required

A pending record refers to documents (invoice, quote, order, loan) that can later be linked to records such as payments, credits, and accounting movements.

  • Requires organization permissions for this resource.
  • Validated by Zod schema: payPendingRecordBulk.

Request details

Body fields

FieldRequiredDescription
paymentsYesType: arrayExample:
payments[]YesType: object
payments[].pendingRecordIdYesType: number
payments[].dateNoType: string
paymentMethodYesType: enumExample: CASH
accountIdYesType: number
dateModeYesType: enumExample: custom

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "payments": [
    {
      "pendingRecordId": 1
    }
  ],
  "paymentMethod": "CASH",
  "accountId": 1,
  "dateMode": "custom"
}

Sample response

json
"<result>"